import { DefineApiModule } from '@/api/api'
import { Role } from '@/api/api-types/role'

const RoleApi: DefineApiModule<Role.ApiMap> = {
  /** 获取角色列表 */
  getRoleList: '/api/role/list',
  /** 获取全部角色列表 */
  getAllRoleList: '/api/role/list/all',
  nomakerRoleList: '/api/role/list/nomarker',
  /** 获取角色权限 */
  getRolePrivilege: '/api/role/privilege',
  /** 设置角色权限 */
  setRolePrivilege: {
    url: '/api/role/privilege/save',
    headers: {
      'Content-Type': 'application/json',
    },
  },
}

export default RoleApi
